[Full-disclosure] [SECURITY] [DSA 2432-1] libyaml-libyaml-perl security update



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- -------------------------------------------------------------------------
Debian Security Advisory DSA-2432-1 security@xxxxxxxxxx
http://www.debian.org/security/ Moritz Muehlenhoff
March 12, 2012 http://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package : libyaml-libyaml-perl
Vulnerability : format string vulnerabilities
Problem type : remote
Debian-specific: no
CVE ID : CVE-2012-1152
Debian Bug : 661548

Dominic Hargreaves and Niko Tyni discovered two format string
vulnerabilities in YAML::LibYAML, a Perl interface to the libyaml
library.

For the stable distribution (squeeze), this problem has been fixed in
version 0.33-1+squeeze1.

For the unstable distribution (sid), this problem has been fixed in
version 0.38-2.

We recommend that you upgrade your libyaml-libyaml-perl packages.

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: http://www.debian.org/security/

Mailing list: debian-security-announce@xxxxxxxxxxxxxxxx
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk9eOKAACgkQXm3vHE4uylpV+ACfa2vbQj/wAE4YjLdVsls2GgMP
7WIAmQGXNz2WS50VYnE4JDUM5qEAowSi
=bYCO
-----END PGP SIGNATURE-----

_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html
Hosted and sponsored by Secunia - http://secunia.com/



Relevant Pages

  • [Full-disclosure] [SECURITY] [DSA 2642-1] sudo security update
    ... Several vulnerabilities have been discovered in sudo, ... For the stable distribution, these problems have been fixed in ... We recommend that you upgrade your sudo packages. ... Further information about Debian Security Advisories, ...
    (Full-Disclosure)
  • [SECURITY] [DSA 2642-1] sudo security update
    ... Several vulnerabilities have been discovered in sudo, ... For the stable distribution, these problems have been fixed in ... We recommend that you upgrade your sudo packages. ... Further information about Debian Security Advisories, ...
    (Bugtraq)
  • [SECURITY] [DSA 2432-1] libyaml-libyaml-perl security update
    ... Dominic Hargreaves and Niko Tyni discovered two format string ... vulnerabilities in YAML::LibYAML, a Perl interface to the libyaml ... For the stable distribution, this problem has been fixed in ... Further information about Debian Security Advisories, ...
    (Bugtraq)
  • [Full-disclosure] [SECURITY] [DSA 2418-1] postgresql-8.4 security update
    ... object-relational SQL database. ... The Common Vulnerabilities and Exposures ... For the stable distribution, this problem has been fixed in ... Further information about Debian Security Advisories, ...
    (Full-Disclosure)
  • [REVS] Perl Format String Vulnerabilities
    ... Perl Format String Vulnerabilities ... Format string vulnerabilities in C programs have been studied extensively ... It should be noted that Perl's taint checker does not catch some variants ...
    (Securiteam)